## krita 4.3.0+dfsg

=== debian/changelog ===
krita (1:4.3.0+dfsg-1build2) groovy; urgency=medium

  * Rebuild against new libopenexr25.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Sep 2020 17:15:44 +0200

krita (1:4.3.0+dfsg-1build1) groovy; urgency=medium

  * No change rebuild against new ilmbase ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Aug 2020 23:38:52 +0100

krita (1:4.3.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0.0
    - remove libkf5archive-dev, no more needed
    - add libopenjp2-7-dev
  * Update copyright.
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Thu, 18 Jun 2020 14:00:19 +0200
