=== debian/control ===
Source: krita
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 3.0.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.22.0),
               gettext,
               libboost-system-dev,
               libeigen3-dev,
               libexiv2-dev,
               libfftw3-dev,
               libgif-dev,
               libgsl-dev,
               libheif-dev,
               libjpeg-dev,
               libkf5completion-dev (>= 5.44.0),
               libkf5config-dev (>= 5.44.0),
               libkf5coreaddons-dev (>= 5.44.0),
               libkf5crash-dev (>= 5.44.0),
               libkf5guiaddons-dev (>= 5.44.0),
               libkf5i18n-dev (>= 5.44.0),
               libkf5itemmodels-dev (>= 5.44.0),
               libkf5itemviews-dev (>= 5.44.0),
               libkf5widgetsaddons-dev (>= 5.44.0),
               libkf5windowsystem-dev (>= 5.44.0),
               liblcms2-dev,
               libopencolorio-dev,
               libopenexr-dev,
               libopenjp2-7-dev (>= 2.3.0~),
               libpng-dev,
               libpoppler-qt5-dev,
               libquazip5-dev,
               libqt5opengl5-desktop-dev,
               libqt5svg5-dev (>= 5.9.0),
               libqt5x11extras5-dev (>= 5.9.0),
               libraw-dev,
               libtiff-dev,
               libxcb-util0-dev,
               libxcb1-dev,
               libxi-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               pyqt5-dev,
               python3-dev,
               python3-pyqt5,
               python3-sip-dev,
               qtbase5-dev (>= 5.9.0),
               qtdeclarative5-dev (>= 5.9.0),
               qtmultimedia5-dev (>= 5.9.0),
               vc-dev [any-i386 any-amd64],
               zlib1g-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://krita.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krita.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krita

Package: krita
Architecture: any
Section: graphics
Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: krita-gmic, python3-sip, python3-pyqt5, qml-module-qtmultimedia
Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
Built-Using: ${vc:Built-Using}
Description: pixel-based image manipulation program
 Krita is a creative application for raster images. Whether you want to create
 from scratch or work with existing images, Krita is for you. You can work with
 photos or scanned images, or start with a blank slate. Krita supports most
 graphics tablets out of the box.
 .
 Krita is different from other graphics design programs in that it has
 pluggable brush engines, some supporting brush resources like Gimp brush files,
 others offering sophisticated simulation of real brushes, and others again
 offering color mixing and image deformations. Moreover, Krita has full
 support for graphics tablets, including such features as pressure, tilt and
 rate, making it a great choice for artists. There are easy to use tools for
 drawing lines, ellipses and rectangles, and the freehand tool is supported by
 pluggable "drawing assistants" that help you draw shapes that still have a
 freehand feeling to them.

Package: krita-data
Architecture: all
Section: graphics
Depends: ${misc:Depends}
Description: data files for Krita painting program
 This package contains architecture-independent data files for Krita.
 .
 See the krita package for further information.

Package: krita-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends}
Description: translations for Krita painting program
 This package contains the translations for Krita, the painting program.
 .
 See the krita package for further information.
