## krita 4.4.0+dfsg

=== debian/changelog ===
krita (1:4.4.0+dfsg-0.1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Add usr/bin/krita_version to debian/not-installed to work around FTBFS.
  * Install customized Krita desktop file from /debian so krita-gmic at least
    works from the menu.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 13 Oct 2020 10:36:07 -0700
