=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: krita
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.0.0~),
@@ -32,10 +32,10 @@
                libopenjp2-7-dev (>= 2.3.0~),
                libpng-dev,
                libpoppler-qt5-dev,
-               libquazip5-dev,
                libqt5opengl5-desktop-dev,
                libqt5svg5-dev (>= 5.9.0),
                libqt5x11extras5-dev (>= 5.9.0),
+               libquazip5-dev,
                libraw-dev,
                libtiff-dev,
                libxcb-util0-dev,
@@ -61,8 +61,9 @@
 Package: krita
 Architecture: any
 Section: graphics
-Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Recommends: krita-gmic, python3-sip, python3-pyqt5, qml-module-qtmultimedia
+Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
+         python3-pyqt5, python3-sip, qml-module-qtmultimedia
+Recommends: krita-gmic
 Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
 Built-Using: ${vc:Built-Using}
 Description: pixel-based image manipulation program
