## krita 4.4.1+dfsg

=== debian/changelog ===
krita (1:4.4.1+dfsg-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Install customized Krita desktop file from /debian so krita-gmic at least
    works when launched from the menu on MX XFCE.
  * Revert to dh-compat=12 and again pass --fail-missing to dh_missing.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 01 Nov 2020 08:31:42 -0800

krita (1:4.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix typo in changelog entry for 1:4.4.0+dfsg-1.

 -- Pino Toscano <pino@debian.org>  Thu, 29 Oct 2020 12:56:50 +0100

krita (1:4.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release:
    - fixes compatibility with PyQt5 build with sip5 (Closes: #971173)
  * Update copyright.
  * Update install files.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Tue, 13 Oct 2020 20:31:56 +0200
