=== debian/control ===
--- 
+++ 
@@ -61,9 +61,8 @@
 Package: krita
 Architecture: any
 Section: graphics
-Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
-         python3-pyqt5, python3-sip, qml-module-qtmultimedia
-Recommends: krita-gmic
+Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Recommends: krita-gmic, python3-pyqt5, python3-sip, qml-module-qtmultimedia
 Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
 Built-Using: ${vc:Built-Using}
 Description: pixel-based image manipulation program
