=== plugins/extensions/CMakeLists.txt ===
add_subdirectory( imagesplit )
add_subdirectory( clonesarray )
add_subdirectory( colorrange )
add_subdirectory( colorspaceconversion )
add_subdirectory( imagesize )
add_subdirectory( metadataeditor )
add_subdirectory( modify_selection )
add_subdirectory( offsetimage )
add_subdirectory( rotateimage )
add_subdirectory( separate_channels )
add_subdirectory( shearimage )
add_subdirectory( layergroupswitcher )
add_subdirectory( resourcemanager )
add_subdirectory( layersplit )
add_subdirectory( waveletdecompose )
add_subdirectory( pykrita )
add_subdirectory( qmic )
add_subdirectory( buginfo )

if (ANDROID)
    add_subdirectory( spensettings )
endif()
