=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: krita
 Section: kde
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: cmake (>= 3.0.0~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.22.0),
                gettext,
-               libboost-system-dev,
+               libboost-system-dev (>= 1.55~),
                libeigen3-dev,
-               libexiv2-dev,
+               libexiv2-dev (>= 0.16~),
                libfftw3-dev,
                libgif-dev,
                libgsl-dev,
-               libheif-dev,
+               libheif-dev (>= 1.3.0~),
                libjpeg-dev,
                libkf5completion-dev (>= 5.44.0),
                libkf5config-dev (>= 5.44.0),
@@ -26,17 +25,17 @@
                libkf5itemviews-dev (>= 5.44.0),
                libkf5widgetsaddons-dev (>= 5.44.0),
                libkf5windowsystem-dev (>= 5.44.0),
-               liblcms2-dev,
+               liblcms2-dev (>= 2.4~),
                libopencolorio-dev,
                libopenexr-dev,
                libopenjp2-7-dev (>= 2.3.0~),
                libpng-dev,
                libpoppler-qt5-dev,
+               libquazip5-dev (>= 0.6~),
                libqt5opengl5-desktop-dev,
                libqt5svg5-dev (>= 5.9.0),
                libqt5x11extras5-dev (>= 5.9.0),
-               libquazip5-dev,
-               libraw-dev,
+               libraw-dev (>= 0.16~),
                libtiff-dev,
                libxcb-util0-dev,
                libxcb1-dev,
@@ -52,7 +51,7 @@
                qtmultimedia5-dev (>= 5.9.0),
                vc-dev [any-i386 any-amd64],
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://krita.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krita.git
@@ -62,7 +61,7 @@
 Architecture: any
 Section: graphics
 Depends: krita-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
-Recommends: krita-gmic, python3-pyqt5, python3-sip, qml-module-qtmultimedia
+Recommends: krita-gmic, python3-sip, python3-pyqt5, qml-module-qtmultimedia
 Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
 Built-Using: ${vc:Built-Using}
 Description: pixel-based image manipulation program
