=== debian/rules ===
--- 
+++ 
@@ -27,10 +27,4 @@
 	dh_gencontrol -pkrita -- -Vvc:Built-Using='$(VC_DEV_VERSION)'
 	dh_gencontrol --remaining-packages
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
-override_dh_missing:
-	dh_missing --fail-missing
-
 .PHONY: override_dh_auto_test
