=== debian/watch ===
version=4

opts="repack, repacksuffix=+dfsg, dversionmangle=s/\+dfsg\d*$//" \
https://download.kde.org/stable/krita/([\d\.]+)/krita-([\d\.]+)\.tar\.(?:gz|xz)
